Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of a delivery target:
{ "processingTime": 4190, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "id": "16e32a13-6fba-4f1a-a337-e0aeecf9fab4", "refId": "Target345", "name": "AWS-1", "description": "Data to be made available in a CSV file hosted on AWS, this is to be sent via FTP.", "isDefault": true, "status": "ACTIVE", "physicalLocation": "AWS", "targetSystemReference": "Axon", "deliveryTemplate": { "id": "7f280b8a-35fb-4325-ada0-2bf5654b4891", "refId": "Template345", "name": "AWS", "description": "Send an excel file via FTP", "isDefault": true, "status": "ACTIVE", "managedAccess": "DISABLED", "deliveryType": "MANUAL", "templateOwners": [ { "displayName": "John Doe", "id": "9f280b8a-35fb-4325-ada0-2bf5654b4892", "name": "username1", "email": "abc@xyz.com", "phone": "2020202023", "status": "ACTIVE", "userInfo": { "initials": "string", "avatarColor": "string", "description": "string", "title": "string", "timeZoneId": "string" } } ], "targetSystemReference": "Axon", "defaultPhysicalLocation": "AWS", "deliveryMethods": [ { "id": "5wd2a13-9fha-4f1a-b317-e0vvtcf9efe4", "refId": "Method345", "name": "FTP", "status": "ACTIVE", "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" } ], "deliveryFormats": [ { "id": "3h32a13-9cdf-4f1a-b317-e0ttecf9def4", "refId": "Format345", "name": "XSLX", "status": "ACTIVE", "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" } ], "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" }, "deliveryMethod": { "id": "5wd2a13-9fha-4f1a-b317-e0vvtcf9efe4", "refId": "Method345", "name": "FTP", "status": "ACTIVE", "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" }, "deliveryFormat": { "id": "3h32a13-9cdf-4f1a-b317-e0ttecf9def4", "refId": "Format345", "name": "XSLX", "status": "ACTIVE", "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" }, "createdBy": "User2", "createdOn": "2022-04-20T10:50:39.251Z", "modifiedBy": "User1", "modifiedOn": "2022-04-20T10:50:39.251Z" } ] }
The following table describes the parameters of each delivery target that is retrieved:
Parameter
Description
processingTime
The time taken (in milliseconds) to complete the API call.
offset
The starting index for the paginated results.
Default value is
0
.
limit
The maximum number of results.
Default value is
50
.
totalCount
Total count of records that match the filters applied.
objects
This parameter contains the delivery target details.
objects > id
The system generated unique identifier of the delivery target.
objects > refId
The reference identifier of the delivery target.
objects > name
Name of the delivery target.
objects > description
Description of the delivery target.
objects > isDefault
This parameter displays whether the delivery target is the default delivery option for a data collection. The parameter can have one of the following values:
  • If the parameter value is
    true
    , the delivery target is the default delivery option for a data collection.
  • If the parameter value is
    false
    , the delivery target isn't the default delivery option for a data collection.
objects > status
The status of the delivery target.
  • If the status is
    ACTIVE
    , the delivery target is available to Data Owners.
  • If the status is
    INACTIVE
    , the delivery target is not available to Data Owners.
objects > physicalLocation
The location where the data is delivered.
If the value of the
managedAccess
parameter is
ENABLED
, the data won't be delivered to the location that is specified in the
physicalLocation
parameter. Instead, the data will be delivered to a location that is generated at the time of order fulfillment. The generated location is unique to each order that is fulfilled using this target.
For more information, see the
Use Data Access Management to streamline the Data Marketplace order process
topic in the
Set Up Data Marketplace
help.
objects > targetSystemReference
The system where the data is delivered.
objects > deliveryTemplate > id
The system generated unique identifier of the delivery template that was used to create the delivery target.
objects > deliveryTemplate > refId
The reference identifier of the delivery template.
objects > deliveryTemplate > name
Name of the delivery template.
objects > deliveryTemplate > description
Description of the delivery template.
objects > deliveryTemplate > isDefault
This parameter indicates whether or not the delivery template is set as the default delivery option for your
Data Marketplace
instance. The parameter can have one of the following values:
  • If the parameter value is
    true
    , the delivery target is the default delivery option for a data collection.
  • If the parameter value is
    false
    , the delivery target isn't the default delivery option for a data collection.
objects > deliveryTemplate > status
Status of the delivery template. This parameter can have one of the following values:
  • If the delivery template status is
    ACTIVE
    , the delivery template is available to Data Owners.
  • If the delivery template status is
    INACTIVE
    , the delivery template is not available to Data Owners.
objects > deliveryTemplate > managedAccess
This parameter determines whether a unique data location is created for each order that is fulfilled using a target that is based on this template. This parameter can have one of the following values:
  • If the parameter value is
    ENABLED
    , a unique data location is created for each order that is fulfilled using a target that is based on this template. Furthermore, an access management application such as
    Data Access Management
    might customize the delivered data based on the characteristics of the data, the Data User and the usage context that they specified in the order.
  • If the parameter value is
    DISABLED
    , the same data is made available in a data location that is common to all Data Users.
For more information, see the
Use Data Access Management to streamline the Data Marketplace order process
topic in the
Set Up Data Marketplace
help.
objects > deliveryTemplate > deliveryType
The type of delivery.
  • If the delivery type is
    AUTOMATIC
    , the order approval and fulfillment is automated.
  • If the delivery type is
    MANUAL
    , the Data Owner must approve the order manually and the Technical Owner must fulfill the order manually.
objects > deliveryTemplate > templateOwners
Details of the Delivery Owner that is responsible for the delivery template.
objects > deliveryTemplate > targetSystemReference
Target system or resource reference from where the data is obtained.
objects > deliveryTemplate > defaultPhysicalLocation
The default delivery location.
objects > deliveryTemplate > deliveryMethods
Details of the delivery method of the delivery template.
objects > deliveryTemplate > deliveryFormats
Details of the delivery format of the delivery template.
objects > deliveryTemplate > createdBy
The system generated unique identifier of the user account that created the delivery template.
objects > deliveryTemplate > createdOn
The date when the delivery template was created.
objects > deliveryTemplate > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery template.
objects > deliveryTemplate > modifiedOn
Latest date when the delivery template was modified.
objects > deliveryMethod > id
The system generated unique identifier of the delivery method.
objects > deliveryMethod > refId
The reference identifier of the delivery method.
objects > deliveryMethod > name
Name of the delivery method.
objects > deliveryMethod > status
The status of the delivery method.
  • If the status is
    ACTIVE
    , the delivery method is available to Delivery Owners.
  • If the status is
    INACTIVE
    , the delivery method is not available to Delivery Owners.
objects > deliveryMethod > createdBy
The system generated unique identifier of the user account that created the delivery method.
objects > deliveryMethod > createdOn
The date when the delivery method was created.
objects > deliveryMethod > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery method.
objects > deliveryMethod > modifiedOn
Latest date when the delivery method was modified.
objects > deliveryFormat > id
The system generated unique identifier of the delivery format.
objects > deliveryFormat > refId
The reference identifier of the delivery format.
objects > deliveryFormat > name
Name of the delivery format.
objects > deliveryFormat > status
The status of the delivery format.
  • If the status is
    ACTIVE
    , the delivery format is available to Delivery Owners.
  • If the status is
    INACTIVE
    , the delivery format is not available to Delivery Owners.
objects > deliveryFormat > createdBy
The system generated unique identifier of the user account that created the delivery format.
objects > deliveryFormat > createdOn
The date when the delivery format was created.
objects > deliveryFormat > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery format.
objects > deliveryFormat > modifiedOn
Latest date when the delivery format was modified.
objects > createdBy
The system generated unique identifier of the user account that created the delivery target.
objects > createdOn
The date when the delivery target was created.
objects > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery target.
objects > modifiedOn
Latest date when the delivery target was modified.

0 COMMENTS

We’d like to hear from you!